List Sms Thread Tasks
curl --request GET \
--url https://api.example.com/v2/sms-threads/{sms_thread_id}/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/sms-threads/{sms_thread_id}/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/sms-threads/{sms_thread_id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"type": "auto_response_email",
"status": "open",
"label": "<string>",
"description": "<string>",
"assignee_id": "<string>",
"object": "<string>"
}
]{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}sms-threads
List Sms Thread Tasks
Get SMS Thread Tasks
Returns top-level tasks only (excludes subtasks and RESEARCH status).
GET
/
v2
/
sms-threads
/
{sms_thread_id}
/
tasks
List Sms Thread Tasks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
The type of the task.
Available options:
auto_response_email, auto_response_sms, call_analysis, disable_contact, recommendation_new_contact, manual_call, broken_promise_follow_up, payment_promise, escalation, pause_state_update, dispute_create, dispute_activate, dispute_update, dispute_resolution The current status of the task.
Available options:
open, completed, closed, archived, failed, processing, assigned_to_agent, research The blurb or label for the task.
The contextual description of the task.
The ID of the user assigned to this task, if any.
String representing the object's type. Objects of the same type share the same value.
